package com.kingdee.eas.custom.erp;

import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.custom.erp.util.SynAdminOrgToERPUtils;


public class synAdminOrgBetaToErpFacadeControllerBean extends AbstractsynAdminOrgBetaToErpFacadeControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.custom.erp.synAdminOrgBetaToErpFacadeControllerBean");
    
    
    @Override
    protected void _synAdminOrgBetaToErp(Context ctx,String startDate, String endDate) throws BOSException
    {    	
    	try{
    		logger.info("into syndminorgBetaToErp method...");
    		SynAdminOrgToERPUtils.syndminorgBetaToErp(ctx,startDate,endDate);
    	}catch(Exception e){
    		logger.error("抛异常："+e);
    	}
        return;
    }
    
    
    
}